Bug 190470 - CalDav non functional
CalDav non functional
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Depends On:
  Show dependency treegraph
Reported: 2006-05-02 14:15 EDT by Edward Grace
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-02 13:40:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Edward Grace 2006-05-02 14:15:36 EDT
Description of problem: CalDav non functional

Version-Release number of selected component (if applicable):

How reproducible: Always

Steps to Reproduce:
1. Switch to Calendars
2. Click File > New > Calendar
3. Select Type > CalDav
4. Enter information for CalDav server, Name, URI, username etc.
Actual results:

Evolution process does an OPTIONS call to the server, access_log below

xxx.xxx.xxx.xxx - - [02/May/2006:19:02:55 +0100] "OPTIONS
/webdav/username/New.ics HTTP/1.1" 200 - "-" "Evolution/1.6.1"

Note, there is no attempt to login as a named user, yet a 200 (OK) response results.

Expected results:

Creation of New.ics under the directory named.

Additional info:

Note.  The WebDav server is configured and works.  I can publish calendars
perfectly well from Mac OS X to this server.  I can also subscribe to webdav
calendars from this server by using Type "On The Web".   I can also create, edit
and delete files using Nautilus as the WebDAV client.

As a result I think therefore that this is a problem with Evolution CalDav.
Comment 1 Matěj Cepl 2007-08-31 11:22:25 EDT
The distribution against which this bug was reported is no longer supported,
could you please reproduce this with the updated version of the currently
supported distribution (Fedora Core 6, or Fedora 7, or Rawhide)? If this issue
turns out to still be reproducible, please let us know in this bug report.  If
after a month's time we have not heard back from you, we will have to close this

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 2 Matthew Barnes 2007-10-02 13:40:34 EDT

Note You need to log in before you can comment on or make changes to this bug.